Emitted when a ConvergenceDomain's (re)connection attempt fails.

### Hierarchy

- ConnectionFailedEvent

### Implements

- IConvergenceDomainEvent

## Index

### Properties

- domain
- name
- NAME

## Properties

### domain

domain: ConvergenceDomain

Implementation of IConvergenceDomainEvent.domain

The domain on which this event occurred.

### name

name: string = ConnectionFailedEvent.NAME

Implementation of IConvergenceDomainEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "connection_failed" = "connection_failed"